WordPress.org

Support

Support » How-To and Troubleshooting » Plugins – upgrade automatically issue in WP 2.6

Plugins – upgrade automatically issue in WP 2.6

  • In WordPress 2.5, I was able to use the ‘upgrade automatically’ function in the Plugins area without issue.

    Since the upgrade to WordPress 2.6, that function no longer works on either of my WordPress blogs. No matter what plugin I attempt to ‘upgrade automatically’, it stops at the step where it downloads the updated and never proceeds, nor does it produce an error message.

    Example:

    Upgrade Plugin
    Downloading update from http://downloads.wordpress.org/plugin/wordpress-automatic-upgrade.1.2.1.zip

    Has anyone else experienced this issue in WordPress 2.6? I’ve not been able to find where anyone has posted this particular issue in the forums yet.

    Thanks!

Viewing 6 replies - 1 through 6 (of 6 total)
  • I’m searching for help on a similar problem. I have auto upgraded many times, but this is the first time going from 2.5 to 2.6. Like you, I can’t get the download to happen, but I do receive an error message:

    Fatal error: Allowed memory size of 33554432 bytes exhausted (tried to allocate 500001 bytes) in /home/wsffa/public_html/wp-content/plugins/wordpress-automatic-upgrade/lib/snoopy.class.php on line 900

    What’s happening around line 900 is as follows:

    do {
        		$_data = fread($fp, $this->maxlength);
        		if (strlen($_data) == 0) {
            		break;
        		}

    A little research suggests that the maximum memory size in php.ini has been reached, but I don’t have access to alter it myself (I don’t think).

    Any suggestions would be appreciated!

    My apologies….my problem is with upgrading WordPress, not with upgrading other plugins. I misread the OP.

    I’ve upgraded to WP 2.6.1, and I still have the same problem with upgrading plugins automatically. Like before, there is no error message returned, it simply stops on the downloading update step.

    I was able to use the feature to upgrade plugins automatically successfully through version 2.5. This issue has been present for me in both versions of 2.6.x

    I have the same problem. Is there any solution for this issue?

    same problem…. Fatal error: Allowed memory size of xxxxxxxxx bytes exhausted (tried to allocate 500001 bytes) in /home/wsffa/public_html/wp-content/plugins/wordpress-automatic-upgrade/lib/snoopy.class.php on line 900

    Deactivate all your plugins except for your upgrade plugin and run the process again. Worked for me:)

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Plugins – upgrade automatically issue in WP 2.6’ is closed to new replies.
Skip to toolbar